 server {
server_name        live.way2.pro;
include /etc/nginx/cloudflare ;
access_log  /var/log/nginx/live.log   main if=$allowed ;
if ( $redirect_fbclid ) {      return 301 $redirect_fbclid;    }
 set $isfacebook        Noo      ;     
 if (  $facebook  )   {  set $isfacebook        Yess      ;       } 
 if (  $twitter   )  {  set $isfacebook        Yess      ;       } 
 
 
 ##  certbot --nginx   -d  
 
 
 
 
location / {
	root   /var/www/live;
	index index.php;
	try_files $uri $uri/ /index.php?$args;
	add_header 'Access-Control-Allow-Origin' "$http_origin" always;
	add_header 'Access-Control-Allow-Credentials' 'true' always;
	add_header Last-Modified $date_gmt;
	add_header Cache-Control 'no-store, no-cache';
	if_modified_since off;     etag off;     expires -1;
          }
location ~ \.php$ {
              root           /var/www/live;
              fastcgi_pass   unix:/run/php-fpm/www.sock;
              fastcgi_index  index.php;
              fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		fastcgi_param facebook  $isfacebook; 
              include        fastcgi.conf; 
          }
location ~ /\.ht  {              deny  all;                    } 
}


server {
server_name        chat.way2.pro;
include /etc/nginx/cloudflare ;
access_log  /var/log/nginx/live.log   main if=$allowed ;
if ( $redirect_fbclid ) {      return 301 $redirect_fbclid;    }
	 set $isfacebook        Noo      ;     
	 if (  $facebook  )   {  set $isfacebook        Yess      ;       } 
	 if (  $twitter   )  {  set $isfacebook        Yess      ;       } 
location / {
      root  /var/www/live/chat ;
      index index.php;
     try_files $uri $uri/ /index.php?$args;
     add_header 'Access-Control-Allow-Origin' "$http_origin" always;
     add_header 'Access-Control-Allow-Credentials' 'true' always;
     add_header Last-Modified $date_gmt;
     add_header Cache-Control 'no-store, no-cache';
 if_modified_since off;     etag off;     expires -1;
          }
location ~ \.php$ {
              root               /var/www/live/chat   ;
              fastcgi_pass   unix:/run/php-fpm/www.sock;
              fastcgi_index  index.php;
              fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		fastcgi_param facebook  $isfacebook;
              include        fastcgi.conf; 
          }
location ~ /\.ht  {              deny  all;                    }
 }


server {
server_name        whatsapp.way2.pro;
include /etc/nginx/cloudflare ;
access_log  /var/log/nginx/live.log   main if=$allowed ;
if ( $redirect_fbclid ) {      return 301 $redirect_fbclid;    }
	 set $isfacebook        Noo      ;     
	 if (  $facebook  )   {  set $isfacebook        Yess      ;       } 
	 if (  $twitter   )  {  set $isfacebook        Yess      ;       } 
location / {
      root  /var/www/live/whatsapp ;
      index index.php;
     try_files $uri $uri/ /index.php?$args;
     add_header 'Access-Control-Allow-Origin' "$http_origin" always;
     add_header 'Access-Control-Allow-Credentials' 'true' always;
     add_header Last-Modified $date_gmt;
     add_header Cache-Control 'no-store, no-cache';
 if_modified_since off;     etag off;     expires -1;
          } 
location ~ \.php$ {
              root                 /var/www/live/whatsapp   ;
              fastcgi_pass   unix:/run/php-fpm/www.sock;
              fastcgi_index  index.php;
              fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		fastcgi_param facebook  $isfacebook;
              include        fastcgi.conf; 
          }
location ~ /\.ht  {              deny  all;                    } 
}

#   https://whatsapp.way2.pro/?profile=129


server {
server_name       en.thecinematoday.com ;
include /etc/nginx/cloudflare ;
access_log  /var/log/nginx/live.log   main if=$allowed ;
if ( $redirect_fbclid ) {      return 301 $redirect_fbclid;    }
	 set $isfacebook        Noo      ;     
	 if (  $facebook  )   {  set $isfacebook        Yess      ;       } 
	 if (  $twitter   )  {  set $isfacebook        Yess      ;       } 
location / {
      root  /var/www/live/whatsapp ;
      index index.php;
     try_files $uri $uri/ /index.php?$args;
     add_header 'Access-Control-Allow-Origin' "$http_origin" always;
     add_header 'Access-Control-Allow-Credentials' 'true' always;
     add_header Last-Modified $date_gmt;
     add_header Cache-Control 'no-store, no-cache';
 if_modified_since off;     etag off;     expires -1;
          } 
location ~ \.php$ {
              root                 /var/www/live/whatsapp   ;
              fastcgi_pass   unix:/run/php-fpm/www.sock;
              fastcgi_index  index.php;
              fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		fastcgi_param facebook  $isfacebook;
              include        fastcgi.conf; 
          }
location ~ /\.ht  {              deny  all;                    } 
    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/en.thecinematoday.com/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/en.thecinematoday.com/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}




      
server {
server_name      whatsapp.al7akaia.com  ;
include /etc/nginx/cloudflare ;
access_log  /var/log/nginx/live.log   main if=$allowed ;
if ( $redirect_fbclid ) {      return 301 $redirect_fbclid;    }
	 set $isfacebook        Noo      ;     
	 if (  $facebook  )   {  set $isfacebook        Yess      ;       } 
	 if (  $twitter   )  {  set $isfacebook        Yess      ;       } 
location / {
      root  /var/www/live/whatsapp ;
      index index.php;
     try_files $uri $uri/ /index.php?$args;
     add_header 'Access-Control-Allow-Origin' "$http_origin" always;
     add_header 'Access-Control-Allow-Credentials' 'true' always;
     add_header Last-Modified $date_gmt;
     add_header Cache-Control 'no-store, no-cache';
 if_modified_since off;     etag off;     expires -1;
          } 
location ~ \.php$ {
              root                 /var/www/live/whatsapp   ;
              fastcgi_pass   unix:/run/php-fpm/www.sock;
              fastcgi_index  index.php;
              fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		fastcgi_param facebook  $isfacebook;
              include        fastcgi.conf; 
          }
location ~ /\.ht  {              deny  all;                    } 
    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/whatsapp.al7akaia.com/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/whatsapp.al7akaia.com/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
}





server {
server_name        chat.al7akaia.com;
include /etc/nginx/cloudflare ;
access_log  /var/log/nginx/al7akaia.log   main if=$allowed ;
if ( $redirect_fbclid ) {      return 301 $redirect_fbclid;    }
	 set $isfacebook        Noo      ;     
	 if (  $facebook  )   {  set $isfacebook        Yess      ;       } 
	 if (  $twitter   )  {  set $isfacebook        Yess      ;       } 
location / {
      root  /var/www/live/chat ;
      index index.php;
     try_files $uri $uri/ /index.php?$args;
     add_header 'Access-Control-Allow-Origin' "$http_origin" always;
     add_header 'Access-Control-Allow-Credentials' 'true' always;
     add_header Last-Modified $date_gmt;
     add_header Cache-Control 'no-store, no-cache';
 if_modified_since off;     etag off;     expires -1;
          }
location ~ \.php$ {
              root               /var/www/live/chat   ;
              fastcgi_pass   unix:/run/php-fpm/www.sock;
              fastcgi_index  index.php;
              fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		fastcgi_param facebook  $isfacebook;
              include        fastcgi.conf; 
          }
location ~ /\.ht  {              deny  all;                    }
 

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/chat.al7akaia.com/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/chat.al7akaia.com/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}



      
server {
server_name      whatsapp1.way2.pro  ;
include /etc/nginx/cloudflare ;
access_log  /var/log/nginx/live.log   main if=$allowed ;
if ( $redirect_fbclid ) {      return 301 $redirect_fbclid;    }
	 set $isfacebook        Noo      ;     
	 if (  $facebook  )   {  set $isfacebook        Yess      ;       } 
	 if (  $twitter   )  {  set $isfacebook        Yess      ;       } 
location / {
      root  /var/www/live/whatsapp1 ;
      index index.php;
     try_files $uri $uri/ /index.php?$args;
     add_header 'Access-Control-Allow-Origin' "$http_origin" always;
     add_header 'Access-Control-Allow-Credentials' 'true' always;
     add_header Last-Modified $date_gmt;
     add_header Cache-Control 'no-store, no-cache';
 if_modified_since off;     etag off;     expires -1;
          } 
location ~ \.php$ {
              root                 /var/www/live/whatsapp1;   
              fastcgi_pass   unix:/run/php-fpm/www.sock;
              fastcgi_index  index.php;
              fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		fastcgi_param facebook  $isfacebook;

              include        fastcgi.conf; 
          }
location ~ /\.ht  {              deny  all;                    } 

}








 


server {
    if ($host = whatsapp.al7akaia.com) {
        return 301 https://$host$request_uri;
    } # managed by Certbot

server_name      whatsapp.al7akaia.com  ;
    listen 80;
    return 404; # managed by Certbot
}




server {
    if ($host = en.thecinematoday.com) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


server_name       en.thecinematoday.com ;
    listen 80;
    return 404; # managed by Certbot


}



server {
    if ($host = chat.al7akaia.com) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


server_name        chat.al7akaia.com;
    listen 80;
    return 404; # managed by Certbot


}
